Subject: Re: bug#41614: It's impossible to mark "--list-generations" for guix shell commands
From: Alex Kost <[email-masked]>
To: ksg <[email-masked]>
Cc: [email-masked]
Date: Mon, 15 Jun 2020 20:15:23 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

ksg (2020-05-30 22:28 +0900) wrote:

Hello,

> Using emacs,
> when I do,
>
> M-x guix RET, under "Sub-popups" hit "c" (guix shell commands)
>
> I can't mark "-l, --list-profiles",
> because when I hit "-l",
> 'Switches' buffer automatically mark "-l, --list-generations".

BTW, you can also use "M-x guix-profiles" to see a list of profiles (and
press "h" there for a hint).

> The buffer showes the switches redundantly like below
>
> Switches
>  -l list generations (--list-generations) <-- "-l"
>     ...
>  -l list the user's profiles (--list-profiles) <-- "-l"
>
>
> Both "--list-generations" and "--list-profiles" have the same short-form
> "-l".

This has been fixed by:

  https://gitlab.com/emacs-guix/emacs-guix/-/commit/df1fc5d8885959fd2bb83a443137d21c6850dd74

Thank you for the report!  But since it is not a Guix bug, please report
such problems at one of Emacs-Guix trackers:

  https://gitlab.com/emacs-guix/emacs-guix/-/issues/new
  https://notabug.org/alezost/emacs-guix/issues/new
  https://github.com/alezost/guix.el/issues/

> I use emacs 26.3, guile 3.02, guix-20200518.1544 (from melpa)

Since you use melpa, I think you can upgrade Emacs-Guix from melpa to
check if the change works.

-- 
Alex